ConsoleLogSeverity (gCube Resource Management Portlet 5.0.0-SNAPSHOT API)
Date: 2013-09-19

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.portlets.admin.resourcemanagement.client.widgets.console
Enum ConsoleLogSeverity

    java.lang.Object
      java.lang.Enum<ConsoleLogSeverity>
          org.gcube.portlets.admin.resourcemanagement.client.widgets.console.ConsoleLogSeverity

All Implemented Interfaces:
  Serializable, Comparable<ConsoleLogSeverity>

    public enum ConsoleLogSeverity

extends Enum<ConsoleLogSeverity>

Enum Constant Summary
`DEBUG`
`ERROR`
`FATAL`
`INFO`
`LOG`
`TRACE`
`WARNING`

Method Summary
`static ConsoleLogSeverity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConsoleLogSeverity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INFO

    public static final ConsoleLogSeverity INFO

### LOG

    public static final ConsoleLogSeverity LOG

### TRACE

    public static final ConsoleLogSeverity TRACE

### DEBUG

    public static final ConsoleLogSeverity DEBUG

### WARNING

    public static final ConsoleLogSeverity WARNING

### ERROR

    public static final ConsoleLogSeverity ERROR

### FATAL

    public static final ConsoleLogSeverity FATAL

Method Detail

### values

    public static ConsoleLogSeverity[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ConsoleLogSeverity c : ConsoleLogSeverity.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ConsoleLogSeverity valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.